Phone800.366.3472 SupportGet Support DocumentationDocumentation Resource CenterResource Center
search
close
Open Menu

Synergex Blog


Announcing SDI 2022.05.1198

By Steve Ives, Posted on May 20, 2022 at 3:44 pm

We are pleased to announce that a new version of Synergy DBL Integration for Visual Studio (SDI), version 2022.05.1198 is available for download from the Resource Center and is recommended for use by all Synergy developers. This is a quality improvement release, and as always, we encourage you to review these changes listed in the release notes.

This release includes changes needed to properly support Visual Studio version 17.2.

The Synergy/DE tools included in this version of SDI (dbl.exe, dblproto.exe, dblibr.exe, dblink.exe, dbl2xml.exe, and rpsutl.exe) are from Synergy/DE version 12.2.1.1001.


Announcing SDI 2022.05.1168

By Steve Ives, Posted on May 4, 2022 at 4:45 pm

We are pleased to announce that a new version of Synergy DBL Integration for Visual Studio (SDI), version 2022.05.1168 is available for download from the Resource Center and is recommended for use by all Synergy developers. This is primarily a quality improvement release, and as always, we encourage you to review these changes listed in the release notes. In addition, there are a small number of changes in behavior, as follows:

  • Newly created traditional Synergy projects and existing traditional Synergy projects that don’t have a TargetRuntimeLevel property will now target version 12.1.1 of the Synergy runtime by default. Previously both types of projects defaulted to version 11.1.1.
  • The targeted Synergy runtime version for a project that targets .NET Core or .NET 5 or higher is now determined by the version of the Synergex.SynergyDE.synrnt NuGet package that the project references. Additionally, the “Target Synergy runtime” field is no longer displayed on the Build page of project properties for Synergy projects that target .NET Core and .NET 5 and higher.
  • When you open a solution containing projects that target a runtime version below the minimum runtime version supported by SDI (10.3.1b), a window will now open prompting you to upgrade those projects.
  • The .NET Framework upgrade dialog will now open whenever you open a solution with projects that target a .NET Framework version that is below the minimum supported for Synergy projects (4.7.2).

The Synergy/DE tools included in this version of SDI (dbl.exe, dblproto.exe, dblibr.exe, dblink.exe, dbl2xml.exe, and rpsutl.exe) are from Synergy/DE version 12.2.1.1001.


Recent Posts Categories Tag Cloud Archives